Subject: Conversation with Steve Swift
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 7 Jun 2001 04:14:00 -0700 (PDT)

Kay:

I talked with Steve today about the Blue Dog deal. I told him we needed the 
consent executed by the end of next week at the latest, and that Chris would 
send him Northwestern's annual report and 10-k.

Steve's only questions centered around the ENA payment guarantee and 
Northwestern's guarantee. He needs to understand from a legal perspective how 
these will be provided to GE (i.e. if both ENA and NW will issue stand alone 
guarantees). I told him that ENA will guarantee the remaining currently 
scheduled payment obligations under the contract. He is also awaiting receipt 
of the letter you're putting together.

Please let me know how we should proceed.

Regards,

Ben